HybridConnection Class

Hybrid Connection contract. This is used to configure a Hybrid Connection.

Variables are only populated by the server, and will be ignored when sending a request.

Inheritance
azure.mgmt.web.v2016_03_01.models._models_py3.ProxyOnlyResource
HybridConnection

Constructor

HybridConnection(*, kind: Optional[str] = None, service_bus_namespace: Optional[str] = None, relay_name: Optional[str] = None, relay_arm_uri: Optional[str] = None, hostname: Optional[str] = None, port: Optional[int] = None, send_key_name: Optional[str] = None, send_key_value: Optional[str] = None, service_bus_suffix: Optional[str] = None, **kwargs)

Parameters

kind
str
Required

Kind of resource.

service_bus_namespace
str
Required

The name of the Service Bus namespace.

relay_name
str
Required

The name of the Service Bus relay.

relay_arm_uri
str
Required

The ARM URI to the Service Bus relay.

hostname
str
Required

The hostname of the endpoint.

port
int
Required

The port of the endpoint.

send_key_name
str
Required

The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.

send_key_value
str
Required

The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.

service_bus_suffix
str
Required

The suffix for the service bus endpoint. By default this is .servicebus.windows.net.

Variables

id
str

Resource Id.

name
str

Resource Name.

type
str

Resource type.